package flags

import (
	"flag"
	"fmt"
	"os"
)

// Validate if the char provided is 0-9
func (flags *Flags) validChar(char rune) (valid bool) {
	decvals := [10]int{48, 49, 50, 51, 52, 53, 54, 55, 56, 57}

	for _, value := range decvals {
		if char == rune(value) {
			valid = true
		}
	}

	return
}

// Print help information for the end-user
func (flags *Flags) printUsage() {
	fmt.Fprintf(flag.CommandLine.Output(), "Usage of %s:\n", os.Args[0])
	fmt.Fprintf(flag.CommandLine.Output(), "\nPut every row of a Sudoku puzzle as paramters.\nUse '0' for what is currently blank in the puzzle you wish to solve.\n\n")
	fmt.Fprintf(flag.CommandLine.Output(), "Example: %s -row1 ... -row2 ... -row3 ... (etc)\n\n", os.Args[0])
	flag.PrintDefaults()
}
